package cn.com.poc.thirdparty.resource.demand.pay.dto.payConfig;


import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

/**
 * @author Roger Wu
 */
public class WxPayConfigRequest extends AbstractRequest<WxPayConfigResult> implements Serializable {

    /**
     * 支付商户
     */
    private String accid;

    /**
     * 商家号
     */
    private String mchId;

    /**
     * 证书序列号
     */
    private String merchantSerialNumber;

    /**
     * V2开发钥匙
     */
    private String apiV2Key;

    /**
     * V3开发钥匙
     */
    private String apiV3Key;

    /**
     * 私钥
     */
    private String privateKey;

    public String getMchId() {
        return mchId;
    }

    public void setMchId(String mchId) {
        this.mchId = mchId;
    }

    public String getMerchantSerialNumber() {
        return merchantSerialNumber;
    }

    public void setMerchantSerialNumber(String merchantSerialNumber) {
        this.merchantSerialNumber = merchantSerialNumber;
    }

    public String getApiV2Key() {
        return apiV2Key;
    }

    public void setApiV2Key(String apiV2Key) {
        this.apiV2Key = apiV2Key;
    }

    public String getApiV3Key() {
        return apiV3Key;
    }

    public void setApiV3Key(String apiV3Key) {
        this.apiV3Key = apiV3Key;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getAccid() {
        return accid;
    }

    public void setAccid(String accid) {
        this.accid = accid;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
